Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| # Header And More
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jfree.chart.plot
Class PlotState

    java.lang.Object
      org.jfree.chart.plot.PlotState

    public class PlotState

extends java.lang.Object

Records information about the state of a plot during the drawing process.

Constructor Summary
`PlotState()` Creates a new state object.

Method Summary
`java.util.Map` | `getSharedAxisStates()` Returns a map containing the shared axis states.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PlotState

    public PlotState()

  Creates a new state object.

Method Detail

### getSharedAxisStates

    public java.util.Map getSharedAxisStates()

  Returns a map containing the shared axis states.

  Returns:
    A map.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| # Footer And More
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 by Object Refinery Limited. All Rights Reserved.